dofile("Tools.lua")
dofile("GroundUnits/WeaponSystem/Tools/weapons.lua")
dofile("GroundUnits/WeaponSystem/Tools/CannonSounds.lua")
dofile("GroundUnits/WeaponSystem/Tools/AutoGunSounds.lua")
dofile("GroundUnits/WeaponSystem/Tools/MissileSounds.lua")
dofile("GroundUnits/WeaponSystem/Tools/_cap_common_sounder.lua")

Type055_weapons = weapons:new()

-- H/PJ-38
Type055_weapons:addTurret(1, "GndTech/TurretRotation_Electric")
Type055_weapons:addLauncher(1, 1, ship_AK176)

-- Type 1130
Type055_weapons:addTurret(66, "GndTech/TurretRotation_Electric")
Type055_weapons:addLauncher(66, 1, {cycle_shot = "Weapons/Automatic/GShG", end_burst = "Weapons/Automatic/GShG_End",})

-- HHQ-10
Type055_weapons:addTurret(67, "GndTech/TurretRotation_Electric")
Type055_weapons:addLauncher(67, 1, _9M311)

-- HHQ-9B
Type055_weapons:addLauncher(68, 1, {single_shot ="Weapons/MissileShoot",})

-- YJ-21
Type055_weapons:addLauncher(69, 1, _9M120)

-- CJ-10
Type055_weapons:addLauncher(70, 1, _9M120)

-- YJ-18
Type055_weapons:addLauncher(71, 1, _9M120)

-- HHQ-9B
Type055_weapons:addLauncher(72, 1, {single_shot ="Weapons/MissileShoot",})

-- CJ-10
Type055_weapons:addLauncher(73, 1, _9M120)

-- YJ-18
Type055_weapons:addLauncher(74, 1, _9M120)

-- Type 726-4
Type055_weapons:addTurret(75, "GndTech/TurretRotation_Electric")
Type055_weapons:addLauncher(75, 1, {single_shot ="Weapons/Flare",})

-- Type 726-4
Type055_weapons:addTurret(76, "GndTech/TurretRotation_Electric")
Type055_weapons:addLauncher(76, 1, {single_shot ="Weapons/Flare",})

-- Type 726-4
Type055_weapons:addTurret(77, "GndTech/TurretRotation_Electric")
Type055_weapons:addLauncher(77, 1, {single_shot ="Weapons/Flare",})

-- Type 726-4
Type055_weapons:addTurret(78, "GndTech/TurretRotation_Electric")
Type055_weapons:addLauncher(78, 1, {single_shot ="Weapons/Flare",})